### Method

# Snapd Notice get_last_occurred_nanoseconds

since: 1.66

#### Declaration [src]

    int
    snapd_notice_get_last_occurred_nanoseconds (
      SnapdNotice* notice
    )

#### Description [src]

Get the nanoseconds value of last-occurred, exactly as sent by snapd. Useful when combined with #snapd_client_notices_set_since_nanoseconds, and used internally by snapd_client_notices_set_after_notice, to ensure the maximum possible precission when dealing with timestamps.

Available since: 1.66

Gets property | `Snapd.Notice:last-occurred-nanoseconds`

#### Return value

Type: `int`

The nanosecond value between 0 and 999999999, or -1 if no nanosecond value was set.